atk.NoOpObject
Prev | The atk Class Reference | Next

## atk.NoOpObject

atk.NoOpObject — an `atk.Object` which purports to implement all ATK interfaces.

## Synopsis

    class atk.NoOpObject(atk.Object):
        atk.NoOpObject(obj)

## Ancestry

    +-- gobject.GObject
      +-- atk.Object
        +-- atk.NoOpObject

## atk.NoOpObject Properties

atk.Object Properties

## atk.NoOpObject Signal Prototypes

gobject.GObject Signal Prototypes

atk.Object Signal Prototypes

atk.Component Signal Prototypes

atk.Hypertext Signal Prototypes

atk.Selection Signal Prototypes

atk.Table Signal Prototypes

atk.Text Signal Prototypes

## Description

An `atk.NoOpObject` is an `atk.Object` which purports to implement all ATK interfaces. It is the type of `atk.Object` that is created if an accessible object is requested for an object type for which no factory type is specified.

## Constructor

### atk.NoOpObject

        atk.NoOpObject(obj)

`obj` : | a `gobject.GObject`
Returns : | a default (non-functioning stub) `atk.Object`

Provides a default (non-functioning stub) `atk.Object`. Application maintainers should not use this method.

Prev | Up | Next
atk.Implementor | Home | atk.NoOpObjectFactory